cxref(1)

NAME
cxref-cc - compile and document/cross-reference a C source file

SYNOPSIS
cxref-cc filename [ CC-arguments ... ]

DESCRIPTION
cxref-cc is a front-end shell script interface to the cxref C-language documentation and cross-referencing program. The script runs the C compiler first on filename, applying any compiler options provided as CC-arguments. If the compilation succeeds, cxref is then run on filename, taking any options to the cxref program from the special file .cxref in the current working directory. This file must exist for the script to complete successfully.

SEE ALSO
cxref(1), cxref-query(1).

AUTHOR
This manual page was written by Camm Maguire <camm@enhanced.com>, for the Debian GNU/Linux system (but may be used by others).